# List

Launch stage: GA

`GET /api/2.0/mlflow/experiments/list`

Gets a list of all experiments.

API scopes: mlflow

## Query parameters

- `view_type` (string, optional)
  Qualifier for type of experiments to be returned.
   If unspecified, return only active experiments.
  Possible values: `ACTIVE_ONLY`, `DELETED_ONLY`, `ALL`
- `max_results` (int64, optional)
  Maximum number of experiments desired.
   If `max_results` is unspecified, return all experiments.
   If `max_results` is too large, it'll be automatically capped at 1000.
   Callers of this endpoint are encouraged to pass max_results explicitly and leverage
   page_token to iterate through experiments.
  Constraints: `<= 1000`
- `page_token` (string, optional)
  Token indicating the page of experiments to fetch

## Returns

Returns a list of Experiment objects.

## Response

```json
{
  "experiments": [
    {
      "experiment_id": "string",
      "name": "string",
      "artifact_location": "string",
      "lifecycle_stage": "string",
      "last_update_time": 0,
      "creation_time": 0,
      "tags": [
        {}
      ]
    }
  ],
  "next_page_token": "string"
}
```

